require("../css/index.less");
const $ = require('jquery');
require('jquery-templates');
const {api,post,pageMap} = require('./utils.js');

$(function(){
  getMenu();
  //菜单展开收起
});

function initMenu(data){
  //菜单数据填充
  $("#menuTmpl").tmpl(data).appendTo(".menu");
  //菜单收起展开
  $(".list-1").on("click",function(){
    $(this).find("ul").slideToggle();
  });
  $(".list-1 li").on("click",function(e){
    e.stopPropagation();
  });
  //右侧页面切换
  $(".page").on("click",function(){
    const code = $(this).attr("code");
    const url = './'+pageMap[code];
    $("#contentIframe").attr("src",url);
  });
}

function getMenu(){
  post(api.getMenu).then(function(res){
    if(res.data.code==='0'){
      const data = res.data.data;
      initMenu(data.menuWrappers);
    }
  });
};